PhoneNumberSpinnerEspresso with ActiveX
==========================================

This app project provides an Espresso test for the PhoneNumberSpinner app,
which offers a spinner input control for selecting the label (Home, Work,
Other, Custom) for the phone number.

Introduction
------------

This app provides a spinner for setting a label for a phone number. The user
taps the phone number field to enter a number, and then taps the spinner
to assign a label. The text field shows the phone number and spinner label.

It has been migrated to AndroidX

Pre-requisites
--------------

You need to know how to:
- Open, build, and run apps with Android Studio.
- Handle a button click.
- Edit an XML layout file.
- Use android:id attribute in layout.
- Refer to a UI element in code.
- Display a Toast message.

Acknowledgements
----------------

Repositories available on the internet

Author
------

Last updated by [Marc Farssac](mailto:marc.farssac@gmail.com)

License
-------

Copyright 2018 Google, Inc.

Licensed to the Apache Software Foundation (ASF) under one or more contributor
license agreements.  See the NOTICE file distributed with this work for
additional information regarding copyright ownership.  The ASF licenses this
file to you under the Apache License, Version 2.0 (the "License"); you may not
use this file except in compliance with the License.  You may obtain a copy of
the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
License for the specific language governing permissions and limitations under
the License.
